from pyCBD.Core import CBD
from pyCBD.lib.std import *

class Double(CBD):
	def __init__(self):
		CBD.__init__(self, "Double", ["single"], ["double"])
		self.addBlock(ConstantBlock("two", 2))
		self.addBlock(ProductBlock("mult"))

		self.addConnection("two", "mult")
		# self.addConnection("two", "mult")
		self.addConnection("single", "mult")
		self.addConnection("mult", "double")

model = Double()

from pyCBD.depGraph import createDepGraph

dg = createDepGraph(model, 0)
print(dg)